'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Distribution = require('grommet/components/Distribution');

var _Distribution2 = _interopRequireDefault(_Distribution);

var _Heading = require('grommet/components/Heading');

var _Heading2 = _interopRequireDefault(_Heading);

var _Section = require('grommet/components/Section');

var _Section2 = _interopRequireDefault(_Section);

var _Headline = require('grommet/components/Headline');

var _Headline2 = _interopRequireDefault(_Headline);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var topHeadline = function topHeadline(prob) {
  if (prob < .55 && prob > .45) {
    return "It's Close";
  } else {
    return "And the Favorite Is...";
  }
};

var subHeading = function subHeading(prob, players1, players2) {
  var favoredName = prob > .5 ? players1 : players2;
  if (prob < .55 && prob > .45) {
    return 'But ' + favoredName + ' are favored.';
  } else {
    return '' + favoredName;
  }
};

var MatchupDist = function MatchupDist(props) {
  var players1 = props.players1,
      players2 = props.players2,
      team1 = props.team1,
      team2 = props.team2,
      label1 = props.label1,
      label2 = props.label2;

  var name1 = players1.length >= 2 & players2.length >= 2 ? players1[0].name + ', ' + players1[1].name + ' et al.' : label1;
  var name2 = players1.length >= 2 & players2.length >= 2 ? players2[0].name + ', ' + players2[1].name + ' et al.' : label2;

  return _react2.default.createElement(
    _Section2.default,
    { pad: 'large' },
    _react2.default.createElement(
      _Headline2.default,
      { size: 'medium', strong: true, align: 'center' },
      topHeadline(team1.prob)
    ),
    _react2.default.createElement(
      _Heading2.default,
      { tag: 'h3', align: 'center' },
      subHeading(team1.prob, name1, name2)
    ),
    _react2.default.createElement(_Distribution2.default, { series: [{ "label": "Team 1", "value": team1.prob, "colorIndex": "graph-2" }, { "label": "Team 2", "value": team2.prob, "colorIndex": "graph-4" }] })
  );
};

exports.default = MatchupDist;