'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Table = require('grommet/components/Table');

var _Table2 = _interopRequireDefault(_Table);

var _TableRow = require('grommet/components/TableRow');

var _TableRow2 = _interopRequireDefault(_TableRow);

var _Section = require('grommet/components/Section');

var _Section2 = _interopRequireDefault(_Section);

var _Heading = require('grommet/components/Heading');

var _Heading2 = _interopRequireDefault(_Heading);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var renderRow = function renderRow(team, name, wide) {
  if (wide) {
    return _react2.default.createElement(
      _TableRow2.default,
      null,
      _react2.default.createElement(
        'td',
        null,
        name
      ),
      _react2.default.createElement(
        'td',
        null,
        team['prob'].toFixed(2)
      ),
      _react2.default.createElement(
        'td',
        null,
        team['mean']
      ),
      _react2.default.createElement(
        'td',
        null,
        team['std']
      ),
      _react2.default.createElement(
        'td',
        null,
        team['5%']
      ),
      _react2.default.createElement(
        'td',
        null,
        team['50%']
      ),
      _react2.default.createElement(
        'td',
        null,
        team['95%']
      )
    );
  } else {
    return _react2.default.createElement(
      _TableRow2.default,
      null,
      _react2.default.createElement(
        'td',
        null,
        team['prob'].toFixed(2)
      ),
      _react2.default.createElement(
        'td',
        null,
        team['mean']
      )
    );
  }
};

var MatchupTable = function MatchupTable(props) {
  var team1 = props.team1,
      team2 = props.team2,
      responsive = props.responsive;

  var wide = responsive === 'multiple';

  return _react2.default.createElement(
    _Section2.default,
    null,
    _react2.default.createElement(
      _Heading2.default,
      { tag: 'h3', align: 'center' },
      'Team Breakdown'
    ),
    _react2.default.createElement(
      _Table2.default,
      { responsive: false },
      _react2.default.createElement(
        'thead',
        null,
        wide ? _react2.default.createElement(
          'tr',
          null,
          _react2.default.createElement(
            'th',
            null,
            'Team'
          ),
          _react2.default.createElement(
            'th',
            null,
            'Pr(Win)'
          ),
          _react2.default.createElement(
            'th',
            null,
            'Proj'
          ),
          _react2.default.createElement(
            'th',
            null,
            'Std Dev'
          ),
          _react2.default.createElement(
            'th',
            null,
            '5%'
          ),
          _react2.default.createElement(
            'th',
            null,
            '50%'
          ),
          _react2.default.createElement(
            'th',
            null,
            '95%'
          )
        ) : _react2.default.createElement(
          'tr',
          null,
          _react2.default.createElement(
            'th',
            null,
            'Pr(Win)'
          ),
          _react2.default.createElement(
            'th',
            null,
            'Proj'
          )
        )
      ),
      _react2.default.createElement(
        'tbody',
        null,
        renderRow(team1, 'Team 1', wide),
        renderRow(team2, 'Team 2', wide)
      )
    )
  );
};

exports.default = MatchupTable;