'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _RadioButton = require('grommet/components/RadioButton');

var _RadioButton2 = _interopRequireDefault(_RadioButton);

var _FormField = require('grommet/components/FormField');

var _FormField2 = _interopRequireDefault(_FormField);

var _Form = require('grommet/components/Form');

var _Form2 = _interopRequireDefault(_Form);

var _Tile = require('grommet/components/Tile');

var _Tile2 = _interopRequireDefault(_Tile);

var _Heading = require('grommet/components/Heading');

var _Heading2 = _interopRequireDefault(_Heading);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

//kind of jankity -- fix
var toReadable = function toReadable(value) {
  switch (value) {
    case 'ppr':
      return 'PPR';
    case 'non_ppr':
      return 'Non-PPR';
    case 'pass6':
      return '6pt';
    case 'pass4':
      return '4pt';
    case 'mfl':
      return 'MFL';
    case 'bbbowl':
      return 'high scoring';
    default:
      return value;
  }
};

var toMachine = function toMachine(value) {
  switch (value) {
    case 'PPR':
      return 'ppr';
    case 'Non-PPR':
      return 'non_ppr';
    case '6pt':
      return 'pass6';
    case '4pt':
      return 'pass4';
    case 'MFL':
      return 'mfl';
    case 'high scoring':
      return 'bbbowl';
    default:
      return value;
  }
};

var ScorePicker = function (_Component) {
  _inherits(ScorePicker, _Component);

  //fix this
  function ScorePicker(props) {
    _classCallCheck(this, ScorePicker);

    var _this = _possibleConstructorReturn(this, (ScorePicker.__proto__ || Object.getPrototypeOf(ScorePicker)).call(this, props));

    _initialiseProps.call(_this);

    var pos = props.pos,
        options = props.options,
        existing = props.existing;


    _this.state = { value: toReadable(existing) };
    _this.props.selectScoringByPos(pos, toMachine(existing));
    return _this;
  }

  _createClass(ScorePicker, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _Tile2.default,
        null,
        _react2.default.createElement(
          _Form2.default,
          { compact: true },
          _react2.default.createElement(
            _FormField2.default,
            null,
            _react2.default.createElement(
              _Heading2.default,
              { tag: 'h4', align: 'center' },
              this.props.pos
            ),
            this.props.options.map(this.optionRenderer)
          )
        )
      );
    }
  }]);

  return ScorePicker;
}(_react.Component);

var _initialiseProps = function _initialiseProps() {
  var _this2 = this;

  this.handleChange = function (proxy) {
    var value = proxy.target.value;
    var _props = _this2.props,
        selectedScoring = _props.selectedScoring,
        pos = _props.pos;


    _this2.setState({ value: value });
    var apiValue = toMachine(value);

    _this2.props.selectScoringByPos(pos, apiValue);
    selectedScoring[pos] = apiValue;
    localStorage.setItem('selectedScoring', JSON.stringify(selectedScoring));
  };

  this.optionRenderer = function (option) {
    return _react2.default.createElement(_RadioButton2.default, { id: option,
      label: option,
      name: 'radioGroup',
      value: option,
      checked: _this2.state.value === option,
      onChange: _this2.handleChange
    });
  };
};

exports.default = ScorePicker;