import React                from 'react'
import MatchupDist        from 'components/MatchupDist'
import MatchupTable        from 'components/MatchupTable'
import SubmitMatchupButton        from 'components/SubmitMatchupButton'
import ScorePicker        from 'components/ScorePicker'
import PlayerPicker        from 'components/PlayerPicker'
import '../node_modules/grommet-css-fantasymath'

const items = {
    "players1": [
        {
            "actual": 11.5,
            "llh": 0.22,
            "name": "Cam Newton",
            "pos": "QB",
            "proj": 18.2,
            "scoring": "pass4",
            "sort_order": 879,
            "team": "CAR"
        },
        {
            "actual": 2.3,
            "llh": 0.07,
            "name": "Mark Ingram",
            "pos": "RB",
            "proj": 10.13,
            "scoring": "non_ppr",
            "sort_order": 3480,
            "team": "NO"
        },
        {
            "actual": 1.8,
            "llh": 0.01,
            "name": "Devonta Freeman",
            "pos": "RB",
            "proj": 13.1,
            "scoring": "non_ppr",
            "sort_order": 2640,
            "team": "ATL"
        },
        {
            "actual": 2.1,
            "llh": 0.07,
            "name": "Michael Crabtree",
            "pos": "WR",
            "proj": 9.66,
            "scoring": "non_ppr",
            "sort_order": 7588,
            "team": "OAK"
        },
        {
            "actual": -1.0,
            "llh": 0.0,
            "name": "Dez Bryant",
            "pos": "WR",
            "proj": 11.24,
            "scoring": "non_ppr",
            "sort_order": 6898,
            "team": "DAL"
        },
        {
            "actual": 8.7,
            "llh": 0.64,
            "name": "Greg Olsen",
            "pos": "TE",
            "proj": 8.05,
            "scoring": "non_ppr",
            "sort_order": 10143,
            "team": "CAR"
        },
        {
            "actual": -2.0,
            "llh": 0.0,
            "name": "Dan Bailey",
            "pos": "K",
            "proj": 7.2,
            "scoring": "non_ppr",
            "sort_order": 11205,
            "team": "DAL"
        },
        {
            "actual": 9.0,
            "llh": 0.73,
            "name": "San Francisco Defense",
            "pos": "DST",
            "proj": 7.01,
            "scoring": "mfl",
            "sort_order": 13879,
            "team": "SF"
        }
    ],
    "players2": [
        {
            "actual": 21.24,
            "llh": 0.68,
            "name": "Aaron Rodgers",
            "pos": "QB",
            "proj": 18.53,
            "scoring": "pass4",
            "sort_order": 782,
            "team": "GB"
        },
        {
            "actual": 10.7,
            "llh": 0.35,
            "name": "Ezekiel Elliott",
            "pos": "RB",
            "proj": 15.29,
            "scoring": "non_ppr",
            "sort_order": 2157,
            "team": "DAL"
        },
        {
            "actual": 1.1,
            "llh": 0.03,
            "name": "Devontae Booker",
            "pos": "RB",
            "proj": 9.17,
            "scoring": "non_ppr",
            "sort_order": 3753,
            "team": "DEN"
        },
        {
            "actual": 16.4,
            "llh": 0.9,
            "name": "Davante Adams",
            "pos": "WR",
            "proj": 8.39,
            "scoring": "non_ppr",
            "sort_order": 8277,
            "team": "GB"
        },
        {
            "actual": 1.1,
            "llh": 0.04,
            "name": "Kelvin Benjamin",
            "pos": "WR",
            "proj": 7.96,
            "scoring": "non_ppr",
            "sort_order": 8440,
            "team": "CAR"
        },
        {
            "actual": 1.0,
            "llh": 0.13,
            "name": "Jordan Reed",
            "pos": "TE",
            "proj": 6.27,
            "scoring": "non_ppr",
            "sort_order": 10593,
            "team": "WAS"
        },
        {
            "actual": 2.0,
            "llh": 0.06,
            "name": "Adam Vinatieri",
            "pos": "K",
            "proj": 7.13,
            "scoring": "non_ppr",
            "sort_order": 11278,
            "team": "IND"
        },
        {
            "actual": 10.0,
            "llh": 0.54,
            "name": "Cincinnati Defense",
            "pos": "DST",
            "proj": 10.95,
            "scoring": "mfl",
            "sort_order": 13071,
            "team": "CIN"
        }
    ],
    "team1": {
        "25%": 81.16,
        "5%": 65.43,
        "50%": 92.63,
        "75%": 106.5,
        "95%": 129.3,
        "mean": 94.58,
        "name": "Team 1",
        "prob": 0.06,
        "std": 19.76
    },
    "team2": {
        "25%": 120.16,
        "5%": 103.99,
        "50%": 131.87,
        "75%": 146.18,
        "95%": 168.95,
        "mean": 133.78,
        "name": "Team 2",
        "prob": 0.94,
        "std": 19.97
    }

}
const items2 = {
    "players1": [],
    "players2": [],
    "team1": {
        "25%": 81.16,
        "5%": 65.43,
        "50%": 92.63,
        "75%": 106.5,
        "95%": 129.3,
        "mean": 94.58,
        "name": "Team 1",
        "prob": 0.06,
        "std": 19.76
    },
    "team2": {
        "25%": 120.16,
        "5%": 103.99,
        "50%": 131.87,
        "75%": 146.18,
        "95%": 168.95,
        "mean": 133.78,
        "name": "Team 2",
        "prob": 0.94,
        "std": 19.97
    }

}

class App extends React.Component {
  render() {
    return (
      <div>
        <MatchupDist {...{...items, ...{label1:'You', label2:'Not You'}}} />
        <MatchupTable {...items}/>
        <SubmitMatchupButton label='suck it'/>
      </div>
    )
  }
}

export default App
