import React from 'react'
import Distribution from 'grommet/components/Distribution';

import Heading from 'grommet/components/Heading';
import Section from 'grommet/components/Section';
import Headline from 'grommet/components/Headline';

const topHeadline = (prob) => {
  if (prob < .55 &&  prob > .45) {
    return (
      "It's Close"
    )
  }
  else {
    return "And the Favorite Is..."
  }
}

const subHeading = (prob, players1, players2) => {
  const favoredName = (prob > .5) ? players1 : players2
  if (prob < .55 &&  prob > .45) {
    return `But ${favoredName} are favored.`
  }
  else {
    return `${favoredName}`
  }
}

const MatchupDist = (props) => {
  const {players1, players2, team1, team2, label1, label2 } = props
  const name1 = (((players1.length >= 2) & players2.length >= 2) ?
    `${players1[0].name}, ${players1[1].name} et al.` : label1 )
  const name2 = (((players1.length >= 2) & players2.length >= 2) ?
    `${players2[0].name}, ${players2[1].name} et al.` : label2 )

  return (
    <Section pad='large'>
      <Headline size='medium' strong={true} align='center'>
        {topHeadline(team1.prob)}
      </Headline>
      <Heading tag='h3' align='center'>
        {subHeading(team1.prob, name1, name2)}
      </Heading>
      <Distribution series={[
        {"label": "Team 1", "value": team1.prob, "colorIndex": "graph-2"}, 
        {"label": "Team 2", "value": team2.prob, "colorIndex": "graph-4"}]} />
    </Section>
  )
}

export default MatchupDist
