import React, { Component } from 'react';
import VirtualizedSelect from 'react-virtualized-select'

import 'react-select/dist/react-select.css';
import 'react-virtualized/styles.css'
import 'react-virtualized-select'
import './PlayerPicker.css'

class PlayerPicker extends Component {

  constructor(props) {
    super(props)
    this.state = {selectValue: props.starting}
    this.props.addPlayer(this.props.team, props.starting)
  }

  componentWillReceiveProps(props) {
    this.state = {selectValue: props.starting}
    this.props.addPlayer(this.props.team, props.starting)
  }

  handleSelectChange = (selectValue) => {
    this.setState({ selectValue })
    this.props.addPlayer(this.props.team, selectValue)
    this.props.clickClear(false)
	}

  render() {
    return (
      <VirtualizedSelect options={this.props.options} simpleValue
        onChange={ this.handleSelectChange } value={this.state.selectValue}
        multi={true} placeholder='Select player(s)'/>
      );
  }
}

export default PlayerPicker
