import React, { Component } from 'react'
import RadioButton from 'grommet/components/RadioButton';
import FormField from 'grommet/components/FormField';
import Form from 'grommet/components/Form';
import Tile from 'grommet/components/Tile';
import Heading from 'grommet/components/Heading';

//kind of jankity -- fix
const toReadable = (value) => {
  switch (value) {
    case 'ppr':
      return 'PPR'
    case 'non_ppr':
      return 'Non-PPR'
    case 'pass6':
      return '6pt'
    case 'pass4':
      return '4pt'
    case 'mfl':
      return 'MFL'
    case 'bbbowl':
      return 'high scoring'
    default:
      return value
  }
}

const toMachine = (value) => {
  switch (value) {
    case 'PPR':
      return 'ppr'
    case 'Non-PPR':
      return 'non_ppr'
    case '6pt':
      return 'pass6'
    case '4pt':
      return 'pass4'
    case 'MFL':
      return 'mfl'
    case 'high scoring':
      return 'bbbowl'
    default:
      return value
  }
}

class ScorePicker extends Component {

  //fix this
  constructor(props) {
    super(props);
    const { pos, options, existing } = props

    this.state = {value: toReadable(existing)}
    this.props.selectScoringByPos(pos, toMachine(existing))
  }

  handleChange = (proxy) => {
    const { value } = proxy.target
    const { selectedScoring, pos } = this.props

    this.setState({value})
    const apiValue = toMachine(value)

    this.props.selectScoringByPos(pos, apiValue)
    selectedScoring[pos] = apiValue
    localStorage.setItem('selectedScoring', JSON.stringify(selectedScoring))
  };

  optionRenderer = (option) => {
    return (
        <RadioButton id={option}
          label={option}
          name='radioGroup'
          value={option}
          checked={this.state.value === option}
          onChange={this.handleChange}
        />
    )
  };

  render() {
    return (
      <Tile>
      <Form compact={true}>
        <FormField>
          <Heading tag='h4' align='center'>
            {this.props.pos}
          </Heading>
          {this.props.options.map(this.optionRenderer)}
        </FormField>
      </Form>
      </Tile>
    )
  }
}

export default ScorePicker
